Skip to content

Overview

  • Version: 2.0.0
  • Servers: https://store.xsolla.com/api
  • Contact Us by Email
  • Contact URL: https://xsolla.com/
  • Required TLS version: 1.2

Catalog API provides endpoints to manage your in-game store catalog and process purchases. Use the endpoints to configure virtual items, virtual currencies, game keys, bundles, cart and payment flows, item attributes, and import items from external sources.

Download OpenAPI description
Languages
Servers
Mock server
https://xsolla.redocly.app/_mock/api/catalog/
https://store.xsolla.com/api/
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations

Request

Gets the list of merchant's projects.

Notice

This API call does not contain the project_id path parameter, so you need to use the API key that is valid in all the company’s projects to set up authorization.

Security
basicMerchantAuth
Path
merchant_idintegerrequired

Merchant ID.

Example: 121212
Query
limitinteger>= 1

Limit for the number of elements on the page.

Example: limit=50
offsetinteger>= 0

Number of the element from which the list is generated (the count starts from 0).

Example: offset=0
curl -i -X GET \
  -u <username>:<password> \
  'https://xsolla.redocly.app/_mock/api/catalog/v2/merchant/121212/projects?limit=50&offset=0'

Responses

Information about projects was successfully received.

Bodyapplication/json
total_items_countinteger
Example: 3
has_moreboolean
Example: true
itemsArray of arrays
Response
application/json
{ "total_items_count": 2, "has_more": false, "items": [ {}, {} ] }

Catalog

This API allows getting any kind of sellable items or specific item.

Operations
Operations
Operations